Index: ow/templates/add_workout.pt
===================================================================
--- ow/templates/add_workout.pt	(revision 8c2b0949ae91540ee5c8101b9d5ff39003773da3)
+++ ow/templates/add_workout.pt	(revision 5ec3a0b5cf5640304a0953320daef2a28bbca9a5)
@@ -9,128 +9,43 @@
 
   <metal:head-title metal:fill-slot="head-title">
-    <tal:t i18n:translate="">Upload workout file</tal:t>
+    <tal:t i18n:translate="">Add workout</tal:t>
   </metal:head-title>
 
   <metal:title metal:fill-slot="title">
-    <tal:t i18n:translate="">Upload workout file</tal:t>
+    <tal:t i18n:translate="">Add workout</tal:t>
   </metal:title>
 
   <metal:content metal:fill-slot="content">
-
-    <div class="uploading-workout hidden">
-      <h2 i18n:translate="">Uploading workout, please wait...</h2>
-      <p i18n:translate="">
-        This can take a moment, depending on the size of your tracking file and your connection speed. Be patient and please don't hit the stop or go back buttons on your browser.
-      </p>
-      <img src="" alt="Loading workout" i18n:attributes="alt"
-           tal:attributes="src request.static_url('ow:static/media/img/loading.gif')">
-    </div>
-
-    <div class="upload-workout ow-forms">
-      <a href="" class="back"
-         tal:attributes="href request.resource_url(context)"
-         i18n:translate="">Back</a>
-      <h2 i18n:translate="">Upload workout file</h2>
+    <div id="add_workout">
       ${form.begin(multipart=True)}
       ${form.csrf_token()}
 
-      <tal:is_duplicate tal:condition="duplicate is not None">
-        <article class="workout-resume">
-
-          <h2 class="workout-title">
-            <tal:warning i18n:translate="">THIS MAY BE A DUPLICATE OF:</tal:warning>
-            <a href="" tal:content="duplicate.title"
-               tal:attributes="href request.resource_url(duplicate)"></a>
-          </h2>
-
-          <ul class="workout-info">
-            <li>
-              <tal:c tal:content="duplicate.sport"></tal:c>
-            </li>
-            <li>
-              <tal:c tal:content="duplicate.start_in_timezone(context.timezone)"></tal:c>
-            </li>
-            <li>
-              <!--! use the properly formatted duration instead of the timedelta object -->
-              <tal:c tal:content="duplicate._duration"></tal:c>
-            </li>
-            <li tal:condition="duplicate.distance">
-              <tal:c tal:content="duplicate.rounded_distance"></tal:c> km
-            </li>
-            <li tal:condition="duplicate.uphill">
-              +<tal:c tal:content="duplicate.uphill"></tal:c> m
-            </li>
-          </ul>
-
-          <div class="workout-map" tal:condition="duplicate.has_gpx">
-            <a href="" tal:attributes="href request.resource_url(duplicate)">
-              <tal:has-screenshot tal:condition="duplicate.map_screenshot is not None">
-                <img src="" tal:attributes="src request.static_url(duplicate.map_screenshot);
-                          alt duplicate.title; title duplicate.title">
-              </tal:has-screenshot>
-              <tal:has-not-screenshot tal:condition="duplicate.map_screenshot is None">
-                <img src="" tal:attributes="src request.static_url('ow:static/media/img/no_map.gif');
-                          alt duplicate.title; title duplicate.title; class 'js-needs-map'">
-              </tal:has-not-screenshot>
-            </a>
-          </div>
-
-        </article>
-
-        <div>
-      </tal:is_duplicate>
+      <fieldset>
+        ${form.errorlist('title')}
+        <label for="title" i18n:translate="">Title:</label>
+        ${form.text('title')}
+      </fieldset>
 
       <fieldset>
-
-        <p>
-          <label for="title" i18n:translate="">Title</label>
-          ${form.errorlist('title')}
-          ${form.text('title')}
-        </p>
-
-        <p>
-          <label for="notes" i18n:translate="">Notes</label>
-          ${form.errorlist('notes')}
-          ${form.textarea('notes', rows=10, cols=50)}
-        </p>
-
-        <p>
-          <label for="tracking_file" i18n:translate="">
-            Workout file (gpx, fit)</label>
-          ${form.errorlist('tracking_file')}
-          ${form.file('tracking_file')}
-        </p>
-
-        <p tal:condition="duplicate is not None">
-          <label for="allow_duplicates" i18n:translate="">Allow duplicated workouts</label>
-          <small i18n:translate="">
-            Mark this checkbox if you want to add to override the mechanism not allowing duplicated workouts
-          </small>
-          <input type="checkbox" name="allow_duplicates">
-        </p>
-
+        ${form.errorlist('notes')}
+        <label for="notes" i18n:translate="">Notes:</label>
+        ${form.textarea('notes', rows=10, cols=50)}
       </fieldset>
 
-      <tal:with-localizer tal:define="localizer get_localizer(request)">
-        ${form.submit("submit", localizer.translate(_('Save')),  **{'class':"button button-normal"})}
-      </tal:with-localizer>
+      <fieldset>
+        ${form.errorlist('tracking_file')}
+        <label for="tracking_file" i18n:translate="">
+          Workout file (gpx, fit):</label>
+        ${form.file('tracking_file')}
+      </fieldset>
+
+      ${form.submit("submit", "Save")}
+      <a href="" tal:attributes="href request.resource_url(request.root)"
+         i18n:translate="">Cancel</a>
 
       ${form.end()}
-        </div>
+    </div>
 
   </metal:content>
 
-  <metal:body-js metal:fill-slot="body-js">
-    <script>
-        $(document).ready(function(){
-            $("div.upload-workout form").on("submit", function(){
-                console.log('Showing spinner');
-                $("div.upload-workout").fadeOut();
-                $("div.uploading-workout").fadeIn();
-            });
-        });
-    </script>
-  </metal:body-js>
-
-
 </html>
